## org.eclipse.datatools.sqltools.debugger.model
Class SPLocalVariable

    java.lang.Object
      PlatformObject
          org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
              org.eclipse.datatools.sqltools.debugger.model.SPVariable
                  org.eclipse.datatools.sqltools.debugger.model.SPLocalVariable

public abstract class SPLocalVariable
extends SPVariable

Represents a SQL variable/parameter defined in a `Routine` object.

Author:
  Yang Liu
See Also:
  Serialized Form

Constructor Summary
`SPLocalVariable(SPDebugTarget target, java.lang.String name)`

Method Summary
`boolean` `isGlobal()`

Methods inherited from class org.eclipse.datatools.sqltools.debugger.model.SPVariable
`getName, getReferenceTypeName, getValue, hasValueChanged, internalSetValue`

Methods inherited from class org.eclipse.datatools.sqltools.debugger.model.SPDebugElement
`fireChangeEvent, fireResumeEvent, fireSuspendEvent, getAdapter, getDebugTarget, getLaunch, getModelIdentifier, getSPDebugTarget, notSupported`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPLocalVariable

    public SPLocalVariable(SPDebugTarget target,
                           java.lang.String name)

Parameters:
  `target` -
  `name` -

Method Detail

### isGlobal

    public boolean isGlobal()

  Specified by:
    `isGlobal` in class `SPVariable`
  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.